Subject: bug#52969: Shortdoc "string" group leads to backtrace

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Jan 2022 16:19:53 -0500

> As for disadvantages to n°3, I remember trying it out some months ago but
> I can't remember why nor can I remember why I haven't kept this change
> in my local hacks.  Sorry.

I seem to remember that one of the motivations for trying it out had to
do with having an `;;;###autoload` cookie on a piece of code which used an
autoloaded macro, so loading `loaddef.el` would cause (auto)loading the
package which provides the macro.

Byte compiling `loaddefs.el` was a way to fix this problem.

        Stefan